# Default ports to scan. Examples:
# self.ports = "23 24"
# self.ports = "100-2022 10 800-810"
# default: "23"
# type   : string
self.ports = "23"

# Should I give up the connection after some time ?
# default: 1
# type   : boolean
self.use_conn_timeout = 1

# How long (in seconds) should I wait before giva up the connection ?
# default: 10
# type   : int/long/float
self.connect_timeout = 10

# How long (in seconds) should I wait for data when scanning TCP ports ?
# default: 10
# type   : int/long/float
self.recieve_timeout_tcp = 10

# How long (in seconds) should I wait for data when scanning UDP ports ?
# default: 5
# type   : int/long/float
self.recieve_timeout_udp = 5

# Should I log when no data are recieved ?
# default: 1
# type   : boolean
self.log_recv_timeout = 1

# Should I send data to remote device/service ?
# Change only if you know what you're doing!
# default: 1
# type   : boolean
self.send_data = 1

# How long (in seconds) should I wait before sending the data ?
# Change only if you know what you're doing!
# default: 0.5
# type   : int/long/float
self.wait_data = 0.5

# What data should I send ?
# Change only if you know what you're doing!
# default: "Can u suck my dick \n?\nhelp\n\n\n\r\n\r\n\r"
# type   : str
self.data = "Can u suck my dick \n?\nhelp\n\n\n\r\n\r\n\r"

# Should I make case-sensitive matches ?
# default: 1
# type   : boolean
self.case_sensitive = 1

# Should I notify you about everything what I'm doing when scanning ?
# This should slow down the scan.
# default: 0
# type   : boolean
self.notify_all = 0

# Should I notify you about pozitive matches when scanning ?
# default: 1
# type   : boolean
self.notify_found = 1

# Should I log pozitive matches ?
# default: 1
# type  : boolean
self.log_found = 1

# How much data should I recieve ?
# The higher number, the more data will be recieved, the more chance for
# pozitive match, the more slow scan. ;)
# default: 15
# type   : int/long
self.read_data = 15

# How much threads cat I use ?
# The bigger number, the faster scan. Be carefull, don't set this to very
# high number! You have been warned. :)
# default: 100
# type   : int
self.max_threads = 255

# Which file can I use for logging ?
# default: "sat.log"
# type   : str
self.log_file = "sat.log"

# Which file can I use for saveing restore information ?
# default: "sat.restore"
# type   : str
self.restore_file = "sat.restore"

# Should I use rules debugging ?
# This will just print the debug messages.
# default: 0
# type   : boolean
self.rules_debug = 0

# Should I log rules debugging ?
# This will print and log the debug messages.
# default: 1
# type   : boolean
self.log_rules_debug = 1

# Should I search for unknown devices/services ?
# This will enable all disables rules.
# default: 0
# type   : boolean
self.search_unknown = 1

# Should I notify you about unknown devices/services when scanning ?
# default: 0
# type   : boolean
self.notify_unknown = 0

# Should I log unknown devices/services ?
# default: 1
# type   : boolean
self.log_unknown = 1
